[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TFormPropertyStorage.Destroy

Destructor for the class instance.

## Declaration

Source position: forms.pp line 1940

`public destructor TFormPropertyStorage.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. It ensures that event handler routines, assigned in the constructor to the form which owns the class instance, are removed before the class instance is freed. It calls the inherited destructor prior to exit.

## See also

TComponent.Destroy